Jump to content

Recommended Posts

Posted

Hi all,

 

I seem to stumble into a little problem here...

 

This image below is returned from a "Break On Error", and the error message returned is "Error: bad argument value: AcDbCurve 667". My function JH:selset-to-list is the equivalent to LM:ss->ent in Selection Set to List. I inspected the variable 'cr' and it returns an entity name. (And for some reason I can't open the watch window). I really now don't know what else is the issue. Does anyone ever encounter this problem? Sometimes the program works and sometimes it doesn't.

 

 

image.thumb.png.5d5c143f19736e16e336ef37b820c3fe.png

 

image.png.8bb25b88649182a7e8f5c0016055dcef.png

 

Thanks,

Jonathan Handojo

Posted

Just a stab do you need the and the objects do have a start and end point property so get ss then do say repeat and make the list of  points.

Posted

Post the drawing where this error is happening.

Posted

It's crashing on a PolyFaceMesh object:
 

((-1 . <Entity name: 27fb44990b0>)
  (0 . "POLYLINE")
  (330 . <Entity name: 27fb8a289f0>)
  (5 . "B5EDB")
  (100 . "AcDbEntity")
  (67 . 0)
  (410 . "Model")
  (8 . "H-SEW-NE")
  (100 . "AcDbPolyFaceMesh")
  (66 . 1)
  (10 0.0 0.0 0.0)
  (70 . 64)
  (40 . 0.0)
  (41 . 0.0)
  (210 0.0 0.0 1.0)
  (71 . 2)
  (72 . 0)
  (73 . 0)
  (74 . 0)
  (75 . 0)
)

 

  • Agree 1
Posted
4 hours ago, ronjonp said:

It's crashing on a PolyFaceMesh object:
 


((-1 . <Entity name: 27fb44990b0>)
  (0 . "POLYLINE")
  (330 . <Entity name: 27fb8a289f0>)
  (5 . "B5EDB")
  (100 . "AcDbEntity")
  (67 . 0)
  (410 . "Model")
  (8 . "H-SEW-NE")
  (100 . "AcDbPolyFaceMesh")
  (66 . 1)
  (10 0.0 0.0 0.0)
  (70 . 64)
  (40 . 0.0)
  (41 . 0.0)
  (210 0.0 0.0 1.0)
  (71 . 2)
  (72 . 0)
  (73 . 0)
  (74 . 0)
  (75 . 0)
)

 

 

Is that a lisp that is outputting the dxf group? I have Dumpit  but its displays vla object data not dxf groups

 

;;----------------------------------------------------------------------------;;
;; Dump all methods and properties for selected objects               
(defun C:DumpIt (/ ent)
  (while (setq ent (entsel))
    (vlax-Dump-Object (vlax-Ename->Vla-Object (car ent)))
  )
  (princ)
)

 

Posted (edited)
6 minutes ago, mhupp said:

 

Is that a lisp that is outputting the dxf group? I have Dumpit  but its displays vla object data not dxf groups

 



;;----------------------------------------------------------------------------;;
;; Dump all methods and properties for selected objects               
(defun C:DumpIt (/ ent)
  (while (setq ent (entsel))
    (vlax-Dump-Object (vlax-Ename->Vla-Object (car ent)))
  )
  (princ)
)

 

 

That info came from the Vlide 'break on error' then print results. I use this to see DXF items:

(defun c:dxflist (/ e)
  (cond	((setq e (car (entsel "\nPick something to see DXF data: ")))
	 (mapcar 'print (entget e '("*")))
	 (textscr)
	)
  )
  (princ)
)

 

There is also DUMPALLPROPERTIES to be used in conjunction with get\setpropertyvalue

Edited by ronjonp
  • Thanks 1

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...